Skip to main content
GET
https://leuwongrr.online
/
api
/
v1
/
me
/
balance
/
transactions
List own balance transactions
curl --request GET \
  --url https://leuwongrr.online/api/v1/me/balance/transactions \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "OK",
  "data": {
    "transactions": [
      {
        "id": 1,
        "type": "deposit",
        "amount": 50000,
        "formatted_amount": "Rp50.000",
        "balance_before": 0,
        "formatted_balance_before": "Rp0",
        "balance_after": 50000,
        "formatted_balance_after": "Rp50.000",
        "reference_type": "deposit",
        "reference_id": 123,
        "description": "Deposit saldo disetujui",
        "created_at": "2026-04-29 15:00:00"
      }
    ],
    "limit": 20
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.leuwongrr.online/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:YOUR_USER_API_TOKEN
required

Masukkan User API Token dari halaman https://leuwongrr.online/user/api-access. Gunakan tanpa prefix Bearer jika field playground sudah otomatis menambahkan Bearer.

Query Parameters

limit
integer
default:20

Jumlah data maksimum yang dikembalikan.

Required range: 1 <= x <= 100

Response

Berhasil

success
boolean
required
Example:

true

message
string
required
Example:

"OK"

data
object
required